[Bug 1845801] Re: [nvidia] Automatic login fails and then all subsequent logins fail. Killing gnome-session-binary fixes it, or just not using automatic login.

2020-08-01 Thread Steve Langasek
Modifications to the grub scripts will not be overwritten by the grub
security update.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-session in Ubuntu.
https://bugs.launchpad.net/bugs/1845801

Title:
  [nvidia] Automatic login fails and then all subsequent logins fail.
  Killing gnome-session-binary fixes it, or just not using automatic
  login.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1845801/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1845801] Re: [nvidia] Automatic login fails and then all subsequent logins fail. Killing gnome-session-binary fixes it, or just not using automatic login.

2020-07-13 Thread Steve Langasek
hugh, you will need to coordinate this with the Foundations Team, as
there are a number of grub changes currently queued for SRU.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-session in Ubuntu.
https://bugs.launchpad.net/bugs/1845801

Title:
  [nvidia] Automatic login fails and then all subsequent logins fail.
  Killing gnome-session-binary fixes it, or just not using automatic
  login.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1845801/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1819558] Re: Snap interfaces: openvswitch interface has typo

2020-07-02 Thread Steve Langasek
** Changed in: gnome-software (Ubuntu Disco)
   Status: Fix Committed => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1819558

Title:
  Snap interfaces: openvswitch interface has typo

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1819558/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1825297] Re: When OSK is present, typing on physical keyboard usually does not trigger the OSK to disappear (X11 only)

2020-07-02 Thread Steve Langasek
** Changed in: gnome-shell (Ubuntu Disco)
   Status: Triaged => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1825297

Title:
  When OSK is present, typing on physical keyboard usually does not
  trigger the OSK to disappear (X11 only)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell/+bug/1825297/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1813716] Re: gnome-shell crashed with SIGSEGV in meta_x11_display_get_xdisplay → detach_pixmap → meta_surface_actor_x11_dispose → g_object_unref → ObjectInstance → → release_native_object

2020-07-02 Thread Steve Langasek
** Changed in: gnome-shell (Ubuntu Disco)
   Status: Fix Committed => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to mutter in Ubuntu.
https://bugs.launchpad.net/bugs/1813716

Title:
  gnome-shell crashed with SIGSEGV in meta_x11_display_get_xdisplay →
  detach_pixmap → meta_surface_actor_x11_dispose → g_object_unref →
  ObjectInstance → → release_native_object

To manage notifications about this bug go to:
https://bugs.launchpad.net/mutter/+bug/1813716/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1826933] Re: gnome-shell crashes in meta_monitor_mode_get_resolution -> calculate_scale -> meta_monitor_calculate_mode_scale derive_calculated_global_scale -> meta_monitor_manager_rebuild_logical

2020-07-02 Thread Steve Langasek
** Changed in: gnome-shell (Ubuntu Disco)
   Status: Fix Committed => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to mutter in Ubuntu.
https://bugs.launchpad.net/bugs/1826933

Title:
  gnome-shell crashes in meta_monitor_mode_get_resolution ->
  calculate_scale -> meta_monitor_calculate_mode_scale
  derive_calculated_global_scale ->
  meta_monitor_manager_rebuild_logical_monitors_derived

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1826933/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1803230] Re: [MIR] teckit & xxhash, new rdeps of texlive-bin

2020-06-24 Thread Steve Langasek
Foundations is now subscribed to xxhash.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to teckit in Ubuntu.
https://bugs.launchpad.net/bugs/1803230

Title:
  [MIR] teckit & xxhash, new rdeps of texlive-bin

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/teckit/+bug/1803230/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1865226] Re: gdm-smartcard pam config needs to be updated for Ubuntu and installed

2020-06-23 Thread Steve Langasek
Dimitri, why is a bug task opened on pam? The description doesn't point
to this being a pam bug.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1865226

Title:
  gdm-smartcard pam config needs to be updated for Ubuntu and installed

To manage notifications about this bug go to:
https://bugs.launchpad.net/gdm/+bug/1865226/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1881912] Re: SRU 1.64.3 to focal

2020-06-12 Thread Steve Langasek
Hello Marco, or anyone else affected,

Accepted gjs into focal-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/gjs/1.64.3-1~ubuntu20.04.1 in a few
hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested, what testing has been
performed on the package and change the tag from verification-needed-
focal to verification-done-focal. If it does not fix the bug for you,
please add a comment stating that, and change the tag to verification-
failed-focal. In either case, without details of your testing we will
not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gjs (Ubuntu Focal)
   Status: New => Fix Committed

** Tags added: verification-needed verification-needed-focal

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gjs in Ubuntu.
https://bugs.launchpad.net/bugs/1881912

Title:
  SRU 1.64.3 to focal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gjs/+bug/1881912/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1879475] Re: SRU the current 3.36.1 stable update

2020-05-22 Thread Steve Langasek
--- evince-3.36.0/libdocument/ev-form-field.h   2017-10-03 18:15:33.0 
+
+++ evince-3.36.1/libdocument/ev-form-field.h   2020-05-11 04:34:35.0 
+
@@ -113,6 +113,7 @@
 
EvPage  *page;
gboolean changed;
+   gchar   *alt_ui_name;
 };
 
 struct _EvFormFieldClass

Doesn't this change the ABI of a public library?  This appears to be a
public header file included in libevince-dev, and EvFormField is the
first subelement of several other structures defined in this header,
which will invalidate offsets into these structures compiled into
reverse-dependencies.

** Also affects: evince (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: evince (Ubuntu Focal)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to evince in Ubuntu.
https://bugs.launchpad.net/bugs/1879475

Title:
  SRU the current 3.36.1 stable update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evince/+bug/1879475/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1879475] Re: SRU the current 3.36.1 stable update

2020-05-22 Thread Steve Langasek
** Summary changed:

- SRU the current 3.36.2 stable update
+ SRU the current 3.36.1 stable update

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to evince in Ubuntu.
https://bugs.launchpad.net/bugs/1879475

Title:
  SRU the current 3.36.1 stable update

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evince/+bug/1879475/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1874461] Re: gconf2.0 crashes repeatedly on upgrade to focal fossa

2020-05-21 Thread Steve Langasek
** Package changed: ubuntu-release-upgrader (Ubuntu) => gconf (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gconf in Ubuntu.
https://bugs.launchpad.net/bugs/1874461

Title:
  gconf2.0 crashes repeatedly on upgrade to focal fossa

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gconf/+bug/1874461/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1876141] Re: before login screen the setup forces a new login name

2020-04-30 Thread Steve Langasek
** Package changed: plymouth (Ubuntu) => gdm3 (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1876141

Title:
  before login screen the setup forces a new login name

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1876141/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1875897] Re: login password not accepted

2020-04-29 Thread Steve Langasek
** Project changed: ubuntu-cdimage => gdm3 (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1875897

Title:
  login password not accepted

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1875897/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1875638] Re: Dark theme in 20.04

2020-04-28 Thread Steve Langasek
** Project changed: ubuntu-cdimage => gnome-shell (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1875638

Title:
  Dark theme in 20.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1875638/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1874683] Re: Hangs on Reboot with GDM3

2020-04-24 Thread Steve Langasek
** Project changed: ubuntu-cdimage => gdm3 (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1874683

Title:
  Hangs on Reboot with GDM3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1874683/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1874379] Re: 20.04 Software installer is not installing .deb file that it installed on 19.4

2020-04-22 Thread Steve Langasek
** Project changed: ubuntu-cdimage => gnome-software (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1874379

Title:
  20.04 Software installer is not installing .deb file that it installed
  on 19.4

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1874379/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1850932] Re: [SRU] Backport 2.62.4-1

2020-02-24 Thread Steve Langasek
Hello Iain, or anyone else affected,

Accepted glib2.0 into eoan-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/glib2.0/2.62.4-1~ubuntu19.10.1 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-eoan to verification-done-eoan. If it does not fix
the bug for you, please add a comment stating that, and change the tag
to verification-failed-eoan. In either case, without details of your
testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: glib2.0 (Ubuntu Eoan)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1850932

Title:
  [SRU] Backport 2.62.4-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/1850932/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1844853] Please test proposed package

2020-02-24 Thread Steve Langasek
Hello Adam, or anyone else affected,

Accepted glib2.0 into eoan-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/glib2.0/2.62.4-1~ubuntu19.10.1 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-eoan to verification-done-eoan. If it does not fix
the bug for you, please add a comment stating that, and change the tag
to verification-failed-eoan. In either case, without details of your
testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1844853

Title:
  IBus no longer works in Qt applications after upgrade

To manage notifications about this bug go to:
https://bugs.launchpad.net/glib/+bug/1844853/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1848202] Please test proposed package

2020-02-24 Thread Steve Langasek
Hello errors.ubuntu.com, or anyone else affected,

Accepted glib2.0 into eoan-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/glib2.0/2.62.4-1~ubuntu19.10.1 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-eoan to verification-done-eoan. If it does not fix
the bug for you, please add a comment stating that, and change the tag
to verification-failed-eoan. In either case, without details of your
testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1848202

Title:
  Use after free in gdbus leads to eds segfaults

To manage notifications about this bug go to:
https://bugs.launchpad.net/glib/+bug/1848202/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1863254] Re: Update flatpak to 1.6.2 in Focal

2020-02-14 Thread Steve Langasek
** Tags removed: regression-update

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to the bug report.
https://bugs.launchpad.net/bugs/1863254

Title:
  Update flatpak to 1.6.2 in Focal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flatpak/+bug/1863254/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1829377] Re: Remove this package

2020-02-03 Thread Steve Langasek
No action taken on the cdebconf-terminal reverse-dependency in 6+
months; unsubscribing ubuntu-archive.  Please resubscribe when this is
ready for removal.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to vte in Ubuntu.
https://bugs.launchpad.net/bugs/1829377

Title:
  Remove this package

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cdebconf-terminal/+bug/1829377/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1859610] Re: python-gi/arm64 segfaults with the focal-proposed libffi version

2020-01-23 Thread Steve Langasek
** Tags removed: rls-ff-incoming

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to pygobject in Ubuntu.
https://bugs.launchpad.net/bugs/1859610

Title:
  python-gi/arm64 segfaults with the focal-proposed libffi version

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libffi/+bug/1859610/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1847346] Re: [MIR] nacl: pulled into main via libssh Built-Using

2019-10-08 Thread Steve Langasek
According to the cmake rules libnacl is used for curve25519 support,
which is optional.  I think for eoan we should address this by disabling
nacl at build time.  I'll upload this libssh change, which takes the
pressure off for eoan release, and the MIR can be revisited in FF.

** Also affects: libssh (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is a bug assignee.
https://bugs.launchpad.net/bugs/1847346

Title:
  [MIR] nacl: pulled into main via libssh Built-Using

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libssh/+bug/1847346/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1847346] [NEW] [MIR] nacl: pulled into main via libssh Built-Using

2019-10-08 Thread Steve Langasek
Public bug reported:

The libssh package has a Built-Using: nacl field in its binaries,
indicating that it is embedding code from nacl.  The changelog confirms
that this was added because libssh statically links nacl.  Either nacl
needs to go through an MIR process since we're shipping the code in
main, or libssh needs to not use nacl.

** Affects: nacl (Ubuntu)
 Importance: Critical
 Assignee: Ubuntu Desktop Bugs (desktop-bugs)
 Status: Incomplete

** Changed in: libssh (Ubuntu)
   Importance: Undecided => Critical

** Changed in: libssh (Ubuntu)
   Status: New => Incomplete

** Changed in: libssh (Ubuntu)
 Assignee: (unassigned) => Desktop Packages (desktop-packages)

** Changed in: libssh (Ubuntu)
 Assignee: Desktop Packages (desktop-packages) => Ubuntu Desktop Bugs 
(desktop-bugs)

** Package changed: libssh (Ubuntu) => nacl (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is a bug assignee.
https://bugs.launchpad.net/bugs/1847346

Title:
  [MIR] nacl: pulled into main via libssh Built-Using

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nacl/+bug/1847346/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1832869] Re: gnome-shell crashed with SIGSEGV in g_hash_table_iter_next → meta_display_list_windows → meta_workspace_list_windows → ffi_call_SYSV → ffi_call()

2019-09-16 Thread Steve Langasek
Hello errors.ubuntu.com, or anyone else affected,

Accepted mutter into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/mutter/3.28.4-0ubuntu18.04.2 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: mutter (Ubuntu Bionic)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1832869

Title:
  gnome-shell crashed with SIGSEGV in g_hash_table_iter_next →
  meta_display_list_windows → meta_workspace_list_windows →
  ffi_call_SYSV → ffi_call()

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1832869/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1827401] Re: gnome-shell crashed in meta_workspace_index -> meta_workspace_activate_with_focus -> meta_window_activate_full

2019-09-16 Thread Steve Langasek
Hello errors.ubuntu.com, or anyone else affected,

Accepted mutter into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/mutter/3.28.4-0ubuntu18.04.2 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: mutter (Ubuntu Bionic)
   Status: In Progress => Fix Committed

** Tags removed: verification-done
** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1827401

Title:
  gnome-shell crashed in meta_workspace_index ->
  meta_workspace_activate_with_focus -> meta_window_activate_full

To manage notifications about this bug go to:
https://bugs.launchpad.net/mutter/+bug/1827401/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1791574] Re: gnome-shell crashed with SIGABRT: assertion failed "window->display->focus_window != window" in meta_window_unmanage

2019-09-16 Thread Steve Langasek
Hello Rocko, or anyone else affected,

Accepted mutter into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/mutter/3.28.4-0ubuntu18.04.2 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: mutter (Ubuntu Bionic)
   Status: In Progress => Fix Committed

** Tags removed: verification-done
** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to mutter in Ubuntu.
https://bugs.launchpad.net/bugs/1791574

Title:
  gnome-shell crashed with SIGABRT: assertion failed
  "window->display->focus_window != window" in meta_window_unmanage

To manage notifications about this bug go to:
https://bugs.launchpad.net/mutter/+bug/1791574/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1817225] Re: 18.04.2 breaks xrdp

2019-08-08 Thread Steve Langasek
** Changed in: xrdp (Ubuntu)
   Status: In Progress => Fix Committed

** Package changed: xrdp (Ubuntu) => xrdp-hwe-18.04 (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to xrdp in Ubuntu.
https://bugs.launchpad.net/bugs/1817225

Title:
  18.04.2 breaks xrdp

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1817225/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1832875] Re: On-screen keyboard lacks several French layouts

2019-07-26 Thread Steve Langasek
Hello Marco, or anyone else affected,

Accepted gnome-shell into bionic-proposed. The package will build now
and be available at https://launchpad.net/ubuntu/+source/gnome-
shell/3.28.4-0ubuntu18.04.2 in a few hours, and then in the -proposed
repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gnome-shell (Ubuntu Bionic)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1832875

Title:
  On-screen keyboard lacks several French layouts

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell/+bug/1832875/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1834517] Re: Update gnome-shell to 3.32.2

2019-07-18 Thread Steve Langasek
This SRU has now been removed from -proposed due to the failed
verification.  However, the referenced regression looks like it has been
root-caused to mutter rather than gnome-shell, so it's possible this SRU
is actually ok to release (possibly only after a fixed mutter has been
uploaded).  If so, please comment on this bug with the appropriate
details and ask an SRU team member on IRC to resurrect this package.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1834517

Title:
  Update gnome-shell to 3.32.2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1834517/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1827953] Proposed package removed from archive

2019-07-18 Thread Steve Langasek
The version of gnome-shell in the proposed pocket of Disco that was
purported to fix this bug report has been removed because one or more
bugs that were to be fixed by the upload have failed verification and
been in this state for more than 10 days.

** Changed in: gnome-shell (Ubuntu Disco)
   Status: Fix Committed => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1827953

Title:
  when you have "world clocks" configured (e.g. from the Gnome Clocks
  application), Gnome Shell crashes on login, resulting in a login loop

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell/+bug/1827953/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1827953] Proposed package removed from archive

2019-07-18 Thread Steve Langasek
The version of gnome-shell in the proposed pocket of Disco that was
purported to fix this bug report has been removed because one or more
bugs that were to be fixed by the upload have failed verification and
been in this state for more than 10 days.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1827953

Title:
  when you have "world clocks" configured (e.g. from the Gnome Clocks
  application), Gnome Shell crashes on login, resulting in a login loop

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell/+bug/1827953/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1833745] Re: [MIR] required new dependency of appstream

2019-07-16 Thread Steve Langasek
Override component to main
lmdb 0.9.23-0ubuntu1 in eoan: universe/misc -> main
liblmdb-dev 0.9.23-0ubuntu1 in eoan amd64: universe/libdevel/optional/100% -> 
main
liblmdb-dev 0.9.23-0ubuntu1 in eoan arm64: universe/libdevel/optional/100% -> 
main
liblmdb-dev 0.9.23-0ubuntu1 in eoan armhf: universe/libdevel/optional/100% -> 
main
liblmdb-dev 0.9.23-0ubuntu1 in eoan i386: universe/libdevel/optional/100% -> 
main
liblmdb-dev 0.9.23-0ubuntu1 in eoan ppc64el: universe/libdevel/optional/100% -> 
main
liblmdb-dev 0.9.23-0ubuntu1 in eoan s390x: universe/libdevel/optional/100% -> 
main
liblmdb0 0.9.23-0ubuntu1 in eoan amd64: universe/libs/optional/100% -> main
liblmdb0 0.9.23-0ubuntu1 in eoan arm64: universe/libs/optional/100% -> main
liblmdb0 0.9.23-0ubuntu1 in eoan armhf: universe/libs/optional/100% -> main
liblmdb0 0.9.23-0ubuntu1 in eoan i386: universe/libs/optional/100% -> main
liblmdb0 0.9.23-0ubuntu1 in eoan ppc64el: universe/libs/optional/100% -> main
liblmdb0 0.9.23-0ubuntu1 in eoan s390x: universe/libs/optional/100% -> main
lmdb-doc 0.9.23-0ubuntu1 in eoan amd64: universe/doc/optional/100% -> main
lmdb-doc 0.9.23-0ubuntu1 in eoan arm64: universe/doc/optional/100% -> main
lmdb-doc 0.9.23-0ubuntu1 in eoan armhf: universe/doc/optional/100% -> main
lmdb-doc 0.9.23-0ubuntu1 in eoan i386: universe/doc/optional/100% -> main
lmdb-doc 0.9.23-0ubuntu1 in eoan ppc64el: universe/doc/optional/100% -> main
lmdb-doc 0.9.23-0ubuntu1 in eoan s390x: universe/doc/optional/100% -> main
lmdb-utils 0.9.23-0ubuntu1 in eoan amd64: universe/database/optional/100% -> 
main
lmdb-utils 0.9.23-0ubuntu1 in eoan arm64: universe/database/optional/100% -> 
main
lmdb-utils 0.9.23-0ubuntu1 in eoan armhf: universe/database/optional/100% -> 
main
lmdb-utils 0.9.23-0ubuntu1 in eoan i386: universe/database/optional/100% -> main
lmdb-utils 0.9.23-0ubuntu1 in eoan ppc64el: universe/database/optional/100% -> 
main
lmdb-utils 0.9.23-0ubuntu1 in eoan s390x: universe/database/optional/100% -> 
main
25 publications overridden.


** Changed in: lmdb (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to lmdb in Ubuntu.
https://bugs.launchpad.net/bugs/1833745

Title:
  [MIR] required new dependency of appstream

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lmdb/+bug/1833745/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1834583] Re: [eoan][regression] GNOME Shell hangs when closing a Java dialog; hung in (varying functions under) meta_stack_get_default_focus_window() from meta_window_x11_focus()

2019-07-11 Thread Steve Langasek
Ilyas, this bug was never released into a stable release of Ubuntu, it
was identified while the change was present only in the devel series and
in disco-proposed.  If you are unhappy dealing with bugs of this sort, I
strongly recommend that you not opt in to the proposed pocket, which
contains packages they have not yet completed QA and been released to
all users for general consumption.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to mutter in Ubuntu.
https://bugs.launchpad.net/bugs/1834583

Title:
  [eoan][regression] GNOME Shell hangs when closing a Java dialog; hung
  in (varying functions under) meta_stack_get_default_focus_window()
  from meta_window_x11_focus()

To manage notifications about this bug go to:
https://bugs.launchpad.net/mutter/+bug/1834583/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1836100] Re: Was able to migrate out of proposed despite breaking dkms

2019-07-10 Thread Steve Langasek
Deleting the glib2.0 task; it's not appropriate to hijack this bug
report for a request on an unrelated package.

** No longer affects: glib2.0 (Ubuntu)

** Package changed: gcc-9 (Ubuntu) => auto-package-testing

** Changed in: auto-package-testing
   Status: Incomplete => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1836100

Title:
  Was able to migrate out of proposed despite breaking dkms

To manage notifications about this bug go to:
https://bugs.launchpad.net/auto-package-testing/+bug/1836100/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1836100] Re: Was able to migrate out of proposed despite breaking dkms

2019-07-10 Thread Steve Langasek
> No, this is not a gcc thing. But the kernel 5.2 now finally
> getting built in eoan, and not binary copied from disco as
> done for 5.0.

Matthias, I agree with Seb's analysis here.  The actual sequence of
events is:

 - linux 5.0 in eoan was fixed to pass its build tests with the gcc in eoan, as 
seen in the history at 
http://autopkgtest.ubuntu.com/packages/l/linux/eoan/amd64 et al.
 - a new gcc-9 was uploaded 
(https://lists.ubuntu.com/archives/eoan-changes/2019-July/002800.html) which 
triggered a linux autopkgtest which rebuilt the kernel; however, because 
gcc-defaults still pointed at gcc-8, this did not actually test that the kernel 
was buildable with gcc-9.  (e.g.  
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-eoan/eoan/amd64/l/linux/20190705_005255_eec9e@/log.gz)
 - a new gcc-defaults was uploaded 
(https://lists.ubuntu.com/archives/eoan-changes/2019-July/002843.html) which 
switched the default gcc from gcc-8 to gcc-9, but this did *not* trigger an 
autopkgtest of the kernel, so the fact that the kernel regressed in 
buildability went unobserved and did not block the new gcc-defaults from 
reaching the release pocket.
 - reports began to come in about failing autopkgtests on a variety of dkms 
packages whose modules would no longer build using the gcc and linux-headers in 
the release pocket.
 - Dimitri (NOT the kernel team, though they would have been in their rights to 
have also done so) forward-copied 
https://launchpad.net/ubuntu/+source/linux/5.0.0-21.22 from disco to 
eoan-proposed.  Because this was a binary copy, it did not trigger any build 
failures that would have notified the kernel team that there was a regression, 
nor did this trigger any autopkgtest rebuild tests (intentionally!) that would 
have identified the regression.  However, the regression in the release pocket 
had already happened 2 steps above, because of the lack of gating of 
gcc-defaults; it was not caused by the sync of linux 5.0.0-21.22.
 - the kernel team uploads https://launchpad.net/ubuntu/+source/linux/5.2.0-8.9 
which is compatible with gcc-9, fixing this problem in eoan-proposed
 - we are now waiting for linux to migrate in order for everything to return to 
normal.

This does not mean that it is the responsibility of the gcc-9 package to
fix this lack of gating.  By design, autopkgtest gating works the other
way around: the package which depends on your package, and which could
regress, should declare its tests and catch any regressions.  So this
was definitely not a bug in gcc-9.  It is *actually* a bug in the
proposed-migration infrastructure, because the kernel and gcc are both
special-cased there, and the special-case in question explicitly fails
to include gcc-defaults in the set of packages triggering linux rebuild
tests.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1836100

Title:
  Was able to migrate out of proposed despite breaking dkms

To manage notifications about this bug go to:
https://bugs.launchpad.net/auto-package-testing/+bug/1836100/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1749672] Re: [MIR] xdg-desktop-portal

2019-07-09 Thread Steve Langasek
Override component to main
xdg-desktop-portal 1.0.3-0ubuntu0.0 in xenial: universe/admin -> main
xdg-desktop-portal 1.0.3-0ubuntu0.0 in xenial amd64: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.0 in xenial arm64: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.0 in xenial armhf: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.0 in xenial i386: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.0 in xenial powerpc: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.0 in xenial ppc64el: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.0 in xenial s390x: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.0 in xenial amd64: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.0 in xenial arm64: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.0 in xenial armhf: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.0 in xenial i386: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.0 in xenial powerpc: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.0 in xenial ppc64el: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.0 in xenial s390x: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.0 in xenial amd64: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.0 in xenial arm64: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.0 in xenial armhf: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.0 in xenial i386: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.0 in xenial powerpc: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.0 in xenial ppc64el: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.0 in xenial s390x: 
universe/admin/optional/100% -> main
22 publications overridden.


** Changed in: xdg-desktop-portal (Ubuntu Xenial)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to xdg-desktop-portal in Ubuntu.
https://bugs.launchpad.net/bugs/1749672

Title:
  [MIR] xdg-desktop-portal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xdg-desktop-portal/+bug/1749672/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1750069] Re: [MIR] xdg-desktop-portal-gtk

2019-07-09 Thread Steve Langasek
Override component to main
xdg-desktop-portal-gtk 1.0.2-0ubuntu0.0 in xenial: universe/gnome -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu0.0 in xenial amd64: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu0.0 in xenial arm64: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu0.0 in xenial armhf: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu0.0 in xenial i386: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu0.0 in xenial powerpc: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu0.0 in xenial ppc64el: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu0.0 in xenial s390x: 
universe/gnome/optional/100% -> main
8 publications overridden.


** Changed in: xdg-desktop-portal-gtk (Ubuntu Xenial)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to xdg-desktop-portal-gtk in Ubuntu.
https://bugs.launchpad.net/bugs/1750069

Title:
  [MIR] xdg-desktop-portal-gtk

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xdg-desktop-portal-gtk/+bug/1750069/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1750069] Re: [MIR] xdg-desktop-portal-gtk

2019-07-09 Thread Steve Langasek
Override component to main
xdg-desktop-portal-gtk 1.0.2-0ubuntu1.1 in bionic: universe/misc -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu1.1 in bionic amd64: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu1.1 in bionic arm64: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu1.1 in bionic armhf: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu1.1 in bionic i386: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu1.1 in bionic ppc64el: 
universe/gnome/optional/100% -> main
xdg-desktop-portal-gtk 1.0.2-0ubuntu1.1 in bionic s390x: 
universe/gnome/optional/100% -> main
7 publications overridden.


** Changed in: xdg-desktop-portal-gtk (Ubuntu Bionic)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to xdg-desktop-portal-gtk in Ubuntu.
https://bugs.launchpad.net/bugs/1750069

Title:
  [MIR] xdg-desktop-portal-gtk

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xdg-desktop-portal-gtk/+bug/1750069/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1749672] Re: [MIR] xdg-desktop-portal

2019-07-09 Thread Steve Langasek
Override component to main
xdg-desktop-portal 1.0.3-0ubuntu0.2 in bionic: universe/misc -> main
xdg-desktop-portal 1.0.3-0ubuntu0.2 in bionic amd64: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.2 in bionic arm64: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.2 in bionic armhf: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.2 in bionic i386: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.2 in bionic ppc64el: 
universe/admin/optional/100% -> main
xdg-desktop-portal 1.0.3-0ubuntu0.2 in bionic s390x: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.2 in bionic amd64: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.2 in bionic arm64: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.2 in bionic armhf: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.2 in bionic i386: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.2 in bionic ppc64el: 
universe/admin/optional/100% -> main
xdg-desktop-portal-dev 1.0.3-0ubuntu0.2 in bionic s390x: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.2 in bionic amd64: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.2 in bionic arm64: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.2 in bionic armhf: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.2 in bionic i386: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.2 in bionic ppc64el: 
universe/admin/optional/100% -> main
xdg-desktop-portal-tests 1.0.3-0ubuntu0.2 in bionic s390x: 
universe/admin/optional/100% -> main
19 publications overridden.


** Changed in: xdg-desktop-portal (Ubuntu Bionic)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to xdg-desktop-portal in Ubuntu.
https://bugs.launchpad.net/bugs/1749672

Title:
  [MIR] xdg-desktop-portal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xdg-desktop-portal/+bug/1749672/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1825972] Re: Remove gnome 2 stack + linsmith from eoan

2019-06-20 Thread Steve Langasek
Removing packages from eoan:
libbonobo 2.32.1-3 in eoan
libbonobo2-0 2.32.1-3 in eoan amd64
libbonobo2-0 2.32.1-3 in eoan arm64
libbonobo2-0 2.32.1-3 in eoan armhf
libbonobo2-0 2.32.1-3 in eoan i386
libbonobo2-0 2.32.1-3 in eoan ppc64el
libbonobo2-0 2.32.1-3 in eoan s390x
libbonobo2-bin 2.32.1-3 in eoan amd64
libbonobo2-bin 2.32.1-3 in eoan arm64
libbonobo2-bin 2.32.1-3 in eoan armhf
libbonobo2-bin 2.32.1-3 in eoan i386
libbonobo2-bin 2.32.1-3 in eoan ppc64el
libbonobo2-bin 2.32.1-3 in eoan s390x
libbonobo2-common 2.32.1-3 in eoan amd64
libbonobo2-common 2.32.1-3 in eoan arm64
libbonobo2-common 2.32.1-3 in eoan armhf
libbonobo2-common 2.32.1-3 in eoan i386
libbonobo2-common 2.32.1-3 in eoan ppc64el
libbonobo2-common 2.32.1-3 in eoan s390x
libbonobo2-dev 2.32.1-3 in eoan amd64
libbonobo2-dev 2.32.1-3 in eoan arm64
libbonobo2-dev 2.32.1-3 in eoan armhf
libbonobo2-dev 2.32.1-3 in eoan i386
libbonobo2-dev 2.32.1-3 in eoan ppc64el
libbonobo2-dev 2.32.1-3 in eoan s390x
Comment: Obsolete gnome2 library, removed from Debian testing; LP: #1825972, 
Debian bug #885770
1 package successfully removed.


** Changed in: libbonobo (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to libgnome in Ubuntu.
https://bugs.launchpad.net/bugs/1825972

Title:
  Remove gnome 2 stack + linsmith from eoan

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-vfs/+bug/1825972/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1825972] Re: Remove gnome 2 stack + linsmith from eoan

2019-06-20 Thread Steve Langasek
Removing packages from eoan:
libgnome 2.32.1-6 in eoan
libgnome-2-0 2.32.1-6 in eoan amd64
libgnome-2-0 2.32.1-6 in eoan arm64
libgnome-2-0 2.32.1-6 in eoan armhf
libgnome-2-0 2.32.1-6 in eoan i386
libgnome-2-0 2.32.1-6 in eoan ppc64el
libgnome-2-0 2.32.1-6 in eoan s390x
libgnome2-0 2.32.1-6 in eoan amd64
libgnome2-0 2.32.1-6 in eoan arm64
libgnome2-0 2.32.1-6 in eoan armhf
libgnome2-0 2.32.1-6 in eoan i386
libgnome2-0 2.32.1-6 in eoan ppc64el
libgnome2-0 2.32.1-6 in eoan s390x
libgnome2-bin 2.32.1-6 in eoan amd64
libgnome2-bin 2.32.1-6 in eoan arm64
libgnome2-bin 2.32.1-6 in eoan armhf
libgnome2-bin 2.32.1-6 in eoan i386
libgnome2-bin 2.32.1-6 in eoan ppc64el
libgnome2-bin 2.32.1-6 in eoan s390x
libgnome2-common 2.32.1-6 in eoan amd64
libgnome2-common 2.32.1-6 in eoan arm64
libgnome2-common 2.32.1-6 in eoan armhf
libgnome2-common 2.32.1-6 in eoan i386
libgnome2-common 2.32.1-6 in eoan ppc64el
libgnome2-common 2.32.1-6 in eoan s390x
libgnome2-dev 2.32.1-6 in eoan amd64
libgnome2-dev 2.32.1-6 in eoan arm64
libgnome2-dev 2.32.1-6 in eoan armhf
libgnome2-dev 2.32.1-6 in eoan i386
libgnome2-dev 2.32.1-6 in eoan ppc64el
libgnome2-dev 2.32.1-6 in eoan s390x
libgnome2-doc 2.32.1-6 in eoan amd64
libgnome2-doc 2.32.1-6 in eoan arm64
libgnome2-doc 2.32.1-6 in eoan armhf
libgnome2-doc 2.32.1-6 in eoan i386
libgnome2-doc 2.32.1-6 in eoan ppc64el
libgnome2-doc 2.32.1-6 in eoan s390x
Comment: Obsolete gnome2 library, removed from Debian testing; LP: #1825972, 
Debian bug #885768
1 package successfully removed.


** Changed in: libgnome (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to libgnome in Ubuntu.
https://bugs.launchpad.net/bugs/1825972

Title:
  Remove gnome 2 stack + linsmith from eoan

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-vfs/+bug/1825972/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1825972] Re: Remove gnome 2 stack + linsmith from eoan

2019-06-20 Thread Steve Langasek
Removing packages from eoan:
libgnome-keyring 3.12.0-1build1 in eoan
gir1.2-gnomekeyring-1.0 3.12.0-1build1 in eoan amd64
gir1.2-gnomekeyring-1.0 3.12.0-1build1 in eoan arm64
gir1.2-gnomekeyring-1.0 3.12.0-1build1 in eoan armhf
gir1.2-gnomekeyring-1.0 3.12.0-1build1 in eoan i386
gir1.2-gnomekeyring-1.0 3.12.0-1build1 in eoan ppc64el
gir1.2-gnomekeyring-1.0 3.12.0-1build1 in eoan s390x
libgnome-keyring-common 3.12.0-1build1 in eoan amd64
libgnome-keyring-common 3.12.0-1build1 in eoan arm64
libgnome-keyring-common 3.12.0-1build1 in eoan armhf
libgnome-keyring-common 3.12.0-1build1 in eoan i386
libgnome-keyring-common 3.12.0-1build1 in eoan ppc64el
libgnome-keyring-common 3.12.0-1build1 in eoan s390x
libgnome-keyring-dev 3.12.0-1build1 in eoan amd64
libgnome-keyring-dev 3.12.0-1build1 in eoan arm64
libgnome-keyring-dev 3.12.0-1build1 in eoan armhf
libgnome-keyring-dev 3.12.0-1build1 in eoan i386
libgnome-keyring-dev 3.12.0-1build1 in eoan ppc64el
libgnome-keyring-dev 3.12.0-1build1 in eoan s390x
libgnome-keyring0 3.12.0-1build1 in eoan amd64
libgnome-keyring0 3.12.0-1build1 in eoan arm64
libgnome-keyring0 3.12.0-1build1 in eoan armhf
libgnome-keyring0 3.12.0-1build1 in eoan i386
libgnome-keyring0 3.12.0-1build1 in eoan ppc64el
libgnome-keyring0 3.12.0-1build1 in eoan s390x
libgnome-keyring0-dbg 3.12.0-1build1 in eoan amd64
libgnome-keyring0-dbg 3.12.0-1build1 in eoan arm64
libgnome-keyring0-dbg 3.12.0-1build1 in eoan armhf
libgnome-keyring0-dbg 3.12.0-1build1 in eoan i386
libgnome-keyring0-dbg 3.12.0-1build1 in eoan ppc64el
libgnome-keyring0-dbg 3.12.0-1build1 in eoan s390x
Comment: Obsolete gnome2 library, removed from Debian testing; LP: #1825972, 
Debian bug #892359
1 package successfully removed.


** Changed in: libgnome-keyring (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to libgnome in Ubuntu.
https://bugs.launchpad.net/bugs/1825972

Title:
  Remove gnome 2 stack + linsmith from eoan

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-vfs/+bug/1825972/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1825972] Re: Remove gnome 2 stack + linsmith from eoan

2019-06-20 Thread Steve Langasek
Removing packages from eoan:
orbit2 1:2.14.19-4 in eoan
liborbit-2-0 1:2.14.19-4 in eoan amd64
liborbit-2-0 1:2.14.19-4 in eoan arm64
liborbit-2-0 1:2.14.19-4 in eoan armhf
liborbit-2-0 1:2.14.19-4 in eoan i386
liborbit-2-0 1:2.14.19-4 in eoan ppc64el
liborbit-2-0 1:2.14.19-4 in eoan s390x
liborbit2 1:2.14.19-4 in eoan amd64
liborbit2 1:2.14.19-4 in eoan arm64
liborbit2 1:2.14.19-4 in eoan armhf
liborbit2 1:2.14.19-4 in eoan i386
liborbit2 1:2.14.19-4 in eoan ppc64el
liborbit2 1:2.14.19-4 in eoan s390x
liborbit2-dev 1:2.14.19-4 in eoan amd64
liborbit2-dev 1:2.14.19-4 in eoan arm64
liborbit2-dev 1:2.14.19-4 in eoan armhf
liborbit2-dev 1:2.14.19-4 in eoan i386
liborbit2-dev 1:2.14.19-4 in eoan ppc64el
liborbit2-dev 1:2.14.19-4 in eoan s390x
orbit2 1:2.14.19-4 in eoan amd64
orbit2 1:2.14.19-4 in eoan arm64
orbit2 1:2.14.19-4 in eoan armhf
orbit2 1:2.14.19-4 in eoan i386
orbit2 1:2.14.19-4 in eoan ppc64el
orbit2 1:2.14.19-4 in eoan s390x
orbit2-nameserver 1:2.14.19-4 in eoan amd64
orbit2-nameserver 1:2.14.19-4 in eoan arm64
orbit2-nameserver 1:2.14.19-4 in eoan armhf
orbit2-nameserver 1:2.14.19-4 in eoan i386
orbit2-nameserver 1:2.14.19-4 in eoan ppc64el
orbit2-nameserver 1:2.14.19-4 in eoan s390x
Comment: Obsolete gnome2 library, removed from Debian testing; LP: #1825972, 
Debian bug #890459
1 package successfully removed.


** Changed in: orbit2 (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to libgnome in Ubuntu.
https://bugs.launchpad.net/bugs/1825972

Title:
  Remove gnome 2 stack + linsmith from eoan

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-vfs/+bug/1825972/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1825972] Re: Remove gnome 2 stack + linsmith from eoan

2019-06-20 Thread Steve Langasek
Removing packages from eoan:
gnome-vfs 1:2.24.4-6.1ubuntu2 in eoan
libgnomevfs2-0 1:2.24.4-6.1ubuntu2 in eoan amd64
libgnomevfs2-0 1:2.24.4-6.1ubuntu2 in eoan arm64
libgnomevfs2-0 1:2.24.4-6.1ubuntu2 in eoan armhf
libgnomevfs2-0 1:2.24.4-6.1ubuntu2 in eoan i386
libgnomevfs2-0 1:2.24.4-6.1ubuntu2 in eoan ppc64el
libgnomevfs2-0 1:2.24.4-6.1ubuntu2 in eoan s390x
libgnomevfs2-0-dbg 1:2.24.4-6.1ubuntu2 in eoan amd64
libgnomevfs2-0-dbg 1:2.24.4-6.1ubuntu2 in eoan arm64
libgnomevfs2-0-dbg 1:2.24.4-6.1ubuntu2 in eoan armhf
libgnomevfs2-0-dbg 1:2.24.4-6.1ubuntu2 in eoan i386
libgnomevfs2-0-dbg 1:2.24.4-6.1ubuntu2 in eoan ppc64el
libgnomevfs2-0-dbg 1:2.24.4-6.1ubuntu2 in eoan s390x
libgnomevfs2-bin 1:2.24.4-6.1ubuntu2 in eoan amd64
libgnomevfs2-bin 1:2.24.4-6.1ubuntu2 in eoan arm64
libgnomevfs2-bin 1:2.24.4-6.1ubuntu2 in eoan armhf
libgnomevfs2-bin 1:2.24.4-6.1ubuntu2 in eoan i386
libgnomevfs2-bin 1:2.24.4-6.1ubuntu2 in eoan ppc64el
libgnomevfs2-bin 1:2.24.4-6.1ubuntu2 in eoan s390x
libgnomevfs2-common 1:2.24.4-6.1ubuntu2 in eoan amd64
libgnomevfs2-common 1:2.24.4-6.1ubuntu2 in eoan arm64
libgnomevfs2-common 1:2.24.4-6.1ubuntu2 in eoan armhf
libgnomevfs2-common 1:2.24.4-6.1ubuntu2 in eoan i386
libgnomevfs2-common 1:2.24.4-6.1ubuntu2 in eoan ppc64el
libgnomevfs2-common 1:2.24.4-6.1ubuntu2 in eoan s390x
libgnomevfs2-dev 1:2.24.4-6.1ubuntu2 in eoan amd64
libgnomevfs2-dev 1:2.24.4-6.1ubuntu2 in eoan arm64
libgnomevfs2-dev 1:2.24.4-6.1ubuntu2 in eoan armhf
libgnomevfs2-dev 1:2.24.4-6.1ubuntu2 in eoan i386
libgnomevfs2-dev 1:2.24.4-6.1ubuntu2 in eoan ppc64el
libgnomevfs2-dev 1:2.24.4-6.1ubuntu2 in eoan s390x
libgnomevfs2-extra 1:2.24.4-6.1ubuntu2 in eoan amd64
libgnomevfs2-extra 1:2.24.4-6.1ubuntu2 in eoan arm64
libgnomevfs2-extra 1:2.24.4-6.1ubuntu2 in eoan armhf
libgnomevfs2-extra 1:2.24.4-6.1ubuntu2 in eoan i386
libgnomevfs2-extra 1:2.24.4-6.1ubuntu2 in eoan ppc64el
libgnomevfs2-extra 1:2.24.4-6.1ubuntu2 in eoan s390x
Comment: Obsolete gnome2 library, removed from Debian testing; LP: #1825972, 
Debian bug #893922
1 package successfully removed.


** Changed in: gnome-vfs (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to libgnome in Ubuntu.
https://bugs.launchpad.net/bugs/1825972

Title:
  Remove gnome 2 stack + linsmith from eoan

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-vfs/+bug/1825972/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1825972] Re: Remove gnome 2 stack + linsmith from eoan

2019-06-20 Thread Steve Langasek
Removing packages from eoan:
libbonoboui 2.24.5-4 in eoan
libbonoboui2-0 2.24.5-4 in eoan amd64
libbonoboui2-0 2.24.5-4 in eoan arm64
libbonoboui2-0 2.24.5-4 in eoan armhf
libbonoboui2-0 2.24.5-4 in eoan i386
libbonoboui2-0 2.24.5-4 in eoan ppc64el
libbonoboui2-0 2.24.5-4 in eoan s390x
libbonoboui2-bin 2.24.5-4 in eoan amd64
libbonoboui2-bin 2.24.5-4 in eoan arm64
libbonoboui2-bin 2.24.5-4 in eoan armhf
libbonoboui2-bin 2.24.5-4 in eoan i386
libbonoboui2-bin 2.24.5-4 in eoan ppc64el
libbonoboui2-bin 2.24.5-4 in eoan s390x
libbonoboui2-common 2.24.5-4 in eoan amd64
libbonoboui2-common 2.24.5-4 in eoan arm64
libbonoboui2-common 2.24.5-4 in eoan armhf
libbonoboui2-common 2.24.5-4 in eoan i386
libbonoboui2-common 2.24.5-4 in eoan ppc64el
libbonoboui2-common 2.24.5-4 in eoan s390x
libbonoboui2-dev 2.24.5-4 in eoan amd64
libbonoboui2-dev 2.24.5-4 in eoan arm64
libbonoboui2-dev 2.24.5-4 in eoan armhf
libbonoboui2-dev 2.24.5-4 in eoan i386
libbonoboui2-dev 2.24.5-4 in eoan ppc64el
libbonoboui2-dev 2.24.5-4 in eoan s390x
Comment: Obsolete gnome2 library, removed from Debian testing; LP: #1825972, 
Debian bug #885769
1 package successfully removed.


** Changed in: libbonoboui (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to libgnome in Ubuntu.
https://bugs.launchpad.net/bugs/1825972

Title:
  Remove gnome 2 stack + linsmith from eoan

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-vfs/+bug/1825972/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1829377] Re: Remove this package

2019-06-20 Thread Steve Langasek
cdebconf-terminal also build-depends on libvte-dev, this should be
resolved first before we do an Ubuntu-specific removal.

** Also affects: cdebconf-terminal (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to vte in Ubuntu.
https://bugs.launchpad.net/bugs/1829377

Title:
  Remove this package

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cdebconf-terminal/+bug/1829377/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1823857] Re: Backport to bionic a patch for improved fractional scaling

2019-06-14 Thread Steve Langasek
Hello Mitar, or anyone else affected,

Accepted gnome-control-center into bionic-proposed. The package will
build now and be available at https://launchpad.net/ubuntu/+source
/gnome-control-center/1:3.28.2-0ubuntu0.18.04.5 in a few hours, and then
in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gnome-control-center (Ubuntu Bionic)
   Status: New => Fix Committed

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-control-center in Ubuntu.
https://bugs.launchpad.net/bugs/1823857

Title:
  Backport to bionic a patch for improved fractional scaling

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1823857/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1827346] Re: Power: Fail to set delay time when the value is 90 minutes

2019-06-14 Thread Steve Langasek
Hello ethan.hsieh, or anyone else affected,

Accepted gnome-control-center into bionic-proposed. The package will
build now and be available at https://launchpad.net/ubuntu/+source
/gnome-control-center/1:3.28.2-0ubuntu0.18.04.5 in a few hours, and then
in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gnome-control-center (Ubuntu Bionic)
   Status: New => Fix Committed

** Tags added: verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-control-center in Ubuntu.
https://bugs.launchpad.net/bugs/1827346

Title:
  Power: Fail to set delay time when the value is 90 minutes

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1827346/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1827346] Re: Power: Fail to set delay time when the value is 90 minutes

2019-06-14 Thread Steve Langasek
Hello ethan.hsieh, or anyone else affected,

Accepted gnome-control-center into xenial-proposed. The package will
build now and be available at https://launchpad.net/ubuntu/+source
/gnome-control-center/1:3.18.2-1ubuntu6.1 in a few hours, and then in
the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-xenial to verification-done-xenial. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-xenial. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gnome-control-center (Ubuntu Xenial)
   Status: New => Fix Committed

** Tags added: verification-needed-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-control-center in Ubuntu.
https://bugs.launchpad.net/bugs/1827346

Title:
  Power: Fail to set delay time when the value is 90 minutes

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1827346/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1717352] Re: Locale settings broken after debootstrap installation

2019-05-09 Thread Steve Langasek
> Fixed by installing:

> language-pack-en
> language-pack-en-base
> language-pack-gnome-en
> language-pack-gnome-en-base

> I think those packages should be dependencies of ubuntu-desktop.

They should not.  Selection of language packages is part of the
installation process, which you bypassed by manually debootstrapping; we
will not include a dependency on the English langpacks (introducing
overhead for all non-English users) to work around this.

Marking invalid for ubuntu-meta.

It sounds like there is still a bug in how the language options are
being displayed in the UI however, so the gnome task remains open.

** Changed in: ubuntu-meta (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-control-center in Ubuntu.
https://bugs.launchpad.net/bugs/1717352

Title:
  Locale settings broken after debootstrap installation

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1717352/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1646762] Re: /usr/bin/gedit:11:g_type_check_instance_cast:GEDIT_OPEN_DOCUMENT_SELECTOR:real_populate_liststore:gdk_threads_dispatch:g_main_dispatch

2019-05-03 Thread Steve Langasek
Hello errors.ubuntu.com, or anyone else affected,

Accepted gedit into bionic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/gedit/3.28.1-1ubuntu1.2 in a few
hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gedit (Ubuntu Bionic)
   Status: New => Fix Committed

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gedit in Ubuntu.
https://bugs.launchpad.net/bugs/1646762

Title:
  
/usr/bin/gedit:11:g_type_check_instance_cast:GEDIT_OPEN_DOCUMENT_SELECTOR:real_populate_liststore:gdk_threads_dispatch:g_main_dispatch

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gedit/+bug/1646762/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1824855] Re: very long delay to display login prompt if there are a large number of uncleared desktop notifications

2019-04-23 Thread Steve Langasek
There are no errors in the journal / systemctl status for fprintd aside
from a timeout.

There is no output when running 'sudo /usr/lib/fprintd/fprintd'
manually; but the command eventually exits.

This laptop does not have a fingerprint reader at all, and I have
definitely never configured to authorize fingerprint-based unlocking of
the system, so something should be figuring this out without launching
(failing to launch) a separate fprintd daemon process.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1824855

Title:
  very long delay to display login prompt if there are a large number of
  uncleared desktop notifications

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1824855/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1824855] Re: very long delay to display login prompt if there are a large number of uncleared desktop notifications

2019-04-23 Thread Steve Langasek
After locking my screen and trying to log in, here's what I see in the
log corresponding to a delay in the login prompt being shown.

I have not configured fingerprint authentication and never will, so I
don't know why this is spawned or failing to spawn.

$ journalctl -b0 --since '2019-04-23 12:18' --no-pager
-- Logs begin at Sat 2019-02-02 22:33:11 PST, end at Tue 2019-04-23 12:19:26 
PDT. --
Apr 23 12:18:41 virgil gnome-shell[4982]: JS WARNING: 
[resource:///org/gnome/gjs/modules/signals.js 128]: Too many arguments to 
method Clutter.Actor.destroy: expected 0, got 1
Apr 23 12:18:45 virgil dbus-daemon[2096]: [system] Activating via systemd: 
service name='net.reactivated.Fprint' unit='fprintd.service' requested by 
':1.360' (uid=1000 pid=4982 comm="/usr/bin/gnome-shell " label="unconfined")
Apr 23 12:18:45 virgil systemd[1]: Starting Fingerprint Authentication Daemon...
Apr 23 12:19:10 virgil dbus-daemon[2096]: [system] Failed to activate service 
'net.reactivated.Fprint': timed out (service_start_timeout=25000ms)
Apr 23 12:19:10 virgil gnome-shell[4982]: Failed to connect to Fprint service: 
Error calling StartServiceByName for net.reactivated.Fprint: 
GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 
'net.reactivated.Fprint': timed out (service_start_timeout=25000ms)
Apr 23 12:19:12 virgil gdm-password][23487]: pam_krb5(gdm-password:auth): user 
vorlon authenticated as [REDACTED]
Apr 23 12:19:12 virgil gdm-password][23487]: gkr-pam: unlocked login keyring
Apr 23 12:19:13 virgil NetworkManager[2098]:   [1556047153.6710] 
agent-manager: req[0x55dda12f3ae0, :1.360/org.gnome.Shell.NetworkAgent/1000]: 
agent registered
Apr 23 12:19:13 virgil /usr/lib/gdm3/gdm-x-session[4767]: dbus-daemon[4783]: 
[session uid=1000 pid=4783] Activating service name='org.gnome.Nautilus' 
requested by ':1.26' (uid=1000 pid=4982 comm="/usr/bin/gnome-shell " 
label="unconfined")
Apr 23 12:19:13 virgil /usr/lib/gdm3/gdm-x-session[4767]: dbus-daemon[4783]: 
[session uid=1000 pid=4783] Activating service 
name='org.freedesktop.FileManager1' requested by ':1.26' (uid=1000 pid=4982 
comm="/usr/bin/gnome-shell " label="unconfined")
Apr 23 12:19:14 virgil /usr/lib/gdm3/gdm-x-session[4767]: dbus-daemon[4783]: 
[session uid=1000 pid=4783] Successfully activated service 'org.gnome.Nautilus'
Apr 23 12:19:14 virgil /usr/lib/gdm3/gdm-x-session[4767]: Failed to register: 
Unable to acquire bus name 'org.gnome.Nautilus'
Apr 23 12:19:14 virgil /usr/lib/gdm3/gdm-x-session[4767]: dbus-daemon[4783]: 
[session uid=1000 pid=4783] Activated service 'org.freedesktop.FileManager1' 
failed: Process org.freedesktop.FileManager1 exited with status 1
Apr 23 12:19:18 virgil gnome-shell[4982]: Couldn’t parse steam.desktop as a 
desktop file, will treat it as a regular file.
Apr 23 12:19:18 virgil gnome-shell[4982]: Error connecting to Nautilus
Apr 23 12:19:19 virgil gnome-shell[4982]: [AppIndicatorSupport-DEBUG] Using 
Brute-force mode for StatusNotifierItem 
:1.83/org/ayatana/NotificationItem/software_update_available
Apr 23 12:19:19 virgil gnome-shell[4982]: [AppIndicatorSupport-DEBUG] 
Registering StatusNotifierItem 
:1.83/org/ayatana/NotificationItem/software_update_available
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 31 with keysym 31 (keycode a).
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 32 with keysym 32 (keycode b).
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 33 with keysym 33 (keycode c).
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 34 with keysym 34 (keycode d).
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 35 with keysym 35 (keycode e).
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 38 with keysym 38 (keycode 11).
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 39 with keysym 39 (keycode 12).
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 36 with keysym 36 (keycode f).
Apr 23 12:19:23 virgil org.gnome.Shell.desktop[4982]: Window manager warning: 
Overwriting existing binding of keysym 37 with keysym 37 (keycode 10).


** Changed in: gdm3 (Ubuntu)
   Status: Incomplete => Opinion

** Changed in: gdm3 (Ubuntu)
   Status: Opinion => New

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1824855

Title:
  very long delay to display login prompt if there are a large number of
  uncleared desktop notifications

To manage notifications about 

[Bug 1825064] Re: Show only reviews from Ubuntu

2019-04-18 Thread Steve Langasek
Please provide a test case that includes a specific application that is
known to have non-Ubuntu reviews.

** Changed in: gnome-software (Ubuntu Disco)
   Status: Fix Committed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1825064

Title:
  Show only reviews from Ubuntu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1825064/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1673258] Re: Remove aptdaemon and drop or port its reverse-dependencies

2019-04-17 Thread Steve Langasek
In the time it took to try to port from aptdaemon to packagekit,
packagekit has gone dead upstream, and we have been recommended not to
port further work to it.

Julian is now looking at providing an aptd as part of apt upstream that
is fit for purpose.

I am unsubscribing ubuntu-archive from this bug.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1673258

Title:
  Remove aptdaemon and drop or port its reverse-dependencies

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/aptdaemon/+bug/1673258/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1811900] Re: SRU 3.28 latest git to bionic

2019-04-16 Thread Steve Langasek
If the mutter package is incompatible with the budgie package currently
in bionic, then this is verification-failed.  A new mutter upload will
be required to add Breaks: against the version of budgie that it's
incompatible with.

** Tags removed: verification-done-bionic
** Tags added: verification-failed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1811900

Title:
  SRU 3.28 latest git to bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1811900/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1824874] Re: undismissable, unclickable authentication dialog left on screen after policykit authentication

2019-04-15 Thread Steve Langasek
the window did go away when I did a kill -HUP gnome-shell.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1824874

Title:
  undismissable, unclickable authentication dialog left on screen after
  policykit authentication

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1824874/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1824874] Re: undismissable, unclickable authentication dialog left on screen after policykit authentication

2019-04-15 Thread Steve Langasek
journalctl output for the period in question, taken from 'journalctl -l
--since today | grep gnome-shell'.

13:19 is my restart of the polkit service.

The actual authentication did not succeed, aptdaemon did not start and
no packages were installed; so I don't know exactly when this window
broke - though I think it was after 13:00, and thus much later than the
polkit messages at the beginning of the log.  (I certainly didn't have a
broken window on my screen for ~2h before filing this bug.)

Apr 15 11:33:29 virgil gnome-shell[4571]: polkitAuthenticationAgent: Received 3 
identities that can be used for authentication. Only considering one.
Apr 15 11:33:29 virgil gnome-shell[4571]: pushModal: invocation of begin_modal 
failed
Apr 15 11:33:29 virgil gnome-shell[4571]: polkitAuthenticationAgent: Failed to 
show modal dialog. Dismissing authentication request for action-id 
org.debian.apt.install-or-remove-packages cookie 
2-c14dea1098d77930282650c2c7031008-3-811320afb0a7974406f93ce80f7d4594
Apr 15 11:59:56 virgil gnome-shell[4571]: remove_mnemonics: assertion 'label != 
NULL' failed
Apr 15 11:59:56 virgil gnome-shell[4571]: remove_mnemonics: assertion 'label != 
NULL' failed
Apr 15 12:20:28 virgil gnome-shell[4571]: pushModal: invocation of begin_modal 
failed
Apr 15 12:20:28 virgil gnome-shell[4571]: pushModal: invocation of begin_modal 
failed
Apr 15 12:22:57 virgil gnome-shell[4571]: remove_mnemonics: assertion 'label != 
NULL' failed
Apr 15 12:22:57 virgil gnome-shell[4571]: remove_mnemonics: assertion 'label != 
NULL' failed
Apr 15 12:33:28 virgil gnome-shell[4571]: pushModal: invocation of begin_modal 
failed
Apr 15 12:33:28 virgil gnome-shell[4571]: pushModal: invocation of begin_modal 
failed
Apr 15 12:53:18 virgil gnome-shell[4571]: JS WARNING: 
[resource:///org/gnome/gjs/modules/signals.js 128]: Too many arguments to 
method Clutter.Actor.destroy: expected 0, got 1
Apr 15 12:56:06 virgil dbus-daemon[1964]: [system] Activating via systemd: 
service name='net.reactivated.Fprint' unit='fprintd.service' requested by 
':1.317' (uid=1000 pid=4571 comm="/usr/bin/gnome-shell " label="unconfined")
Apr 15 12:56:12 virgil dbus-daemon[4403]: [session uid=1000 pid=4403] 
Activating service name='org.gnome.Nautilus' requested by ':1.26' (uid=1000 
pid=4571 comm="/usr/bin/gnome-shell " label="unconfined")
Apr 15 12:56:12 virgil dbus-daemon[4403]: [session uid=1000 pid=4403] 
Activating service name='org.freedesktop.FileManager1' requested by ':1.26' 
(uid=1000 pid=4571 comm="/usr/bin/gnome-shell " label="unconfined")
Apr 15 12:56:13 virgil gnome-shell[4571]: [AppIndicatorSupport-DEBUG] 
Registering StatusNotifierItem 
:1.80/org/ayatana/NotificationItem/software_update_available
Apr 15 12:56:13 virgil gnome-shell[4571]: [AppIndicatorSupport-FATAL] unable to 
update overlay icon
Apr 15 12:56:13 virgil gnome-shell[4571]: [AppIndicatorSupport-FATAL] unable to 
update overlay icon
Apr 15 12:56:13 virgil gnome-shell[4571]: Error connecting to Nautilus
Apr 15 12:56:14 virgil gnome-shell[4571]: Couldn’t parse steam.desktop as a 
desktop file, will treat it as a regular file.
Apr 15 13:00:08 virgil gnome-shell[4571]: JS WARNING: 
[resource:///org/gnome/shell/ui/workspacesView.js 639]: reference to undefined 
property 1
Apr 15 13:00:08 virgil gnome-shell[4571]: JS ERROR: TypeError: 
this._workspacesViews[i] is undefined
Apr 15 13:13:40 virgil gnome-shell[4571]: remove_mnemonics: assertion 'label != 
NULL' failed
Apr 15 13:13:40 virgil gnome-shell[4571]: remove_mnemonics: assertion 'label != 
NULL' failed
Apr 15 13:19:17 virgil polkitd(authority=local)[22657]: Registered 
Authentication Agent for unix-session:2 (system bus name :1.317 
[/usr/bin/gnome-shell], object path 
/org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
Apr 15 13:20:36 virgil gnome-shell[4571]: Could not delete runtime/persistent 
state file: Error removing file 
/home/vorlon/.local/share/gnome-shell/notifications: No such file or directory
Apr 15 13:23:50 virgil gnome-shell[4571]: Couldn’t parse steam.desktop as a 
desktop file, will treat it as a regular file.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1824874

Title:
  undismissable, unclickable authentication dialog left on screen after
  policykit authentication

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1824874/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1824874] Re: undismissable, unclickable authentication dialog left on screen after policykit authentication

2019-04-15 Thread Steve Langasek
Screenshot of the dialog in question.  The text comes from aptdaemon's
policykit policy.

** Attachment added: "lp-1824874-screenshot.png"
   
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1824874/+attachment/5256050/+files/lp-1824874-screenshot.png

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1824874

Title:
  undismissable, unclickable authentication dialog left on screen after
  policykit authentication

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1824874/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1824855] [NEW] very long delay to display login prompt if there are a large number of uncleared desktop notifications

2019-04-15 Thread Steve Langasek
Public bug reported:

When waking my laptop screen up at the lock screen, it takes a very long
time to display the password prompt (definitely longer than 30s,
possibly longer than 1m - I didn't time it).  I notice that while
waiting for the password prompt, the screen is showing a full list of
(obfuscated) desktop notifications.  After logging in, I used the gnome-
shell interface to clear the notifications; then I locked my screen
again, at which point hitting the space bar caused the password prompt
to show up immediately.

So it looks like the time to display the password prompt might scale
linearly with the number of notifications; which is not useful, because
there is a finite number of (obfuscated!) notifications that will be
displayed on the lock screen, and AFAIK you can't interact with them
through the lock screen at all.  So we shouldn't be wasting time
processing (and presumably rendering) notifications that will never be
visible.

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: gdm3 3.32.0-1ubuntu1
ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
Uname: Linux 5.0.0-8-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Mon Apr 15 09:58:23 2019
InstallationDate: Installed on 2010-09-24 (3125 days ago)
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
SourcePackage: gdm3
UpgradeStatus: Upgraded to disco on 2019-04-11 (3 days ago)

** Affects: gdm3 (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug disco

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1824855

Title:
  very long delay to display login prompt if there are a large number of
  uncleared desktop notifications

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1824855/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1817223] Re: [disco-proposed] The list of applications in Ubuntu Software is empty

2019-04-03 Thread Steve Langasek
This bug is blocking the promotion of libxmlb 0.1.8-1 from disco-
proposed, but despite the fact that the root bug is in libxmlb, my
understanding is that it only affected gnome-software 3.31 which has
been dropped from -proposed.

This cannot possibly be a regression in libxmlb 0.1.8-1, which was not
yet uploaded when this bug was filed.

I'm therefore dropping the block-proposed tag.

** Tags removed: block-proposed

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1817223

Title:
  [disco-proposed] The list of applications in Ubuntu Software is empty

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1817223/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1637988] Re: Enable the nfs backend

2019-03-25 Thread Steve Langasek
Why has this SRU been pushed against the current 2.0 version of libnfs
in bionic and cosmic, when the Security Team has identified outstanding
concerns with 2.0 in the MIR bug (LP:# 1746598;
https://bugs.launchpad.net/ubuntu/+source/libnfs/+bug/1746598/comments/23)?

This does not look releasable as an SRU in its current state.

Marking verification-failed to block promotion, until the MIR concerns
for the earlier libnfs version are resolved.

Also, note that this currently breaks daily image builds in bionic now
that gvfs-backends in -proposed depends on libnfs11 from universe.

** Tags removed: verification-needed verification-needed-bionic
** Tags added: verification-failed verification-failed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gvfs in Ubuntu.
https://bugs.launchpad.net/bugs/1637988

Title:
  Enable the nfs backend

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/1637988/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1815708] Re: Use ODRS for reviews

2019-03-01 Thread Steve Langasek
Hello Robert, or anyone else affected,

Accepted gnome-software into cosmic-proposed. The package will build now
and be available at https://launchpad.net/ubuntu/+source/gnome-
software/3.30.2-0ubuntu10 in a few hours, and then in the -proposed
repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-cosmic to verification-done-cosmic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-cosmic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gnome-software (Ubuntu Cosmic)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-cosmic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1815708

Title:
  Use ODRS for reviews

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1815708/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1799614] Proposed package upload rejected

2019-03-01 Thread Steve Langasek
An upload of gnome-software to cosmic-proposed has been rejected from
the upload queue for the following reason: "reuploading with different
-v option to avoid listing LP: #1799614 which is *un*fixed in this
version".

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1799614

Title:
  Use new media API

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1799614/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1815708] Proposed package upload rejected

2019-03-01 Thread Steve Langasek
An upload of gnome-software to cosmic-proposed has been rejected from
the upload queue for the following reason: "reuploading with different
-v option to avoid listing LP: #1799614 which is *un*fixed in this
version".

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1815708

Title:
  Use ODRS for reviews

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1815708/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1762391] Re: pam_group.so is not evaluated by gnome-terminal

2019-02-11 Thread Steve Langasek
pam_group is a historical curiosity. While we should continue to ship it
in pam for compatibility with existing configurations, there is no good
reason to use it in a new deployment, and we should not consider
incompatibility with pam_group to itself be a reason to change the
behavior of a pam application.

Static group memberships should be expressed through NSS, not through
pam_group, so that the system has a consistent view of the memberships.
This includes group memberships at large LDAP installations.  You may
want to be using sssd for this.

pam_group's support for dynamic group assignments (time-of-day, etc) is
inherently flawed, because there is no support for runtime revocation of
group membership of Unix processes, and there is no associated service
to reap processes with out-of-policy group memberships.  pam_group's
dynamic group assignments should be considered entirely superseded by
logind.

I believe the behavior of calling pam_setcred() from a pam application
that has not first called pam_authenticate() is undefined, so I don't
think this is a good general solution for applications aside from
pam_group.

So I'm closing this bug as wontfix unless a clearer rationale for this
change presents itself.

** Changed in: systemd (Ubuntu Bionic)
   Status: New => Won't Fix

** Changed in: systemd (Ubuntu)
   Status: New => Invalid

** Changed in: systemd (Ubuntu)
   Status: Invalid => Won't Fix

** Changed in: systemd (Ubuntu Cosmic)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-terminal in Ubuntu.
https://bugs.launchpad.net/bugs/1762391

Title:
  pam_group.so is not evaluated by gnome-terminal

To manage notifications about this bug go to:
https://bugs.launchpad.net/systemd/+bug/1762391/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1745032] Re: AC adapter status not detected on Asus ZenBook UX410UAK

2019-02-08 Thread Steve Langasek
This SRU claims for regression-potential:

> Low. The quirk uses strict DMI to match affected systems.

This doesn't appear to be true for the changes to upower, which include
no DMI quirking whatsoever.  Please clarify this.

** Changed in: upower (Ubuntu Bionic)
   Status: Fix Committed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-control-center in Ubuntu.
https://bugs.launchpad.net/bugs/1745032

Title:
  AC adapter status not detected on Asus ZenBook UX410UAK

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/1745032/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1799614] Re: Use new media API

2019-02-08 Thread Steve Langasek
An upload of snapd-glib to cosmic-proposed has been rejected from the
upload queue for the following reason: "contains changes unrelated to
the bug listed in the changelog; currently no SRU exception is approved.
Can be reuploaded as-is after an SRU exception is approved, or can be
uploaded with just the changes for the bug you're proposing to fix, but
in the meantime rejecting the upload rather than leaving it stalled in
the queue.".

** Changed in: snapd-glib (Ubuntu Bionic)
   Status: Fix Committed => In Progress

** Changed in: snapd-glib (Ubuntu Cosmic)
   Status: Fix Committed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1799614

Title:
  Use new media API

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1799614/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1771031] Re: Please remove libgnome and friends from Ubuntu

2019-01-22 Thread Steve Langasek
Removing packages from disco:
resapplet 0.0.7+cvs2005.09.30-0ubuntu6 in disco
resapplet 0.0.7+cvs2005.09.30-0ubuntu6 in disco amd64
resapplet 0.0.7+cvs2005.09.30-0ubuntu6 in disco arm64
resapplet 0.0.7+cvs2005.09.30-0ubuntu6 in disco armhf
resapplet 0.0.7+cvs2005.09.30-0ubuntu6 in disco i386
resapplet 0.0.7+cvs2005.09.30-0ubuntu6 in disco ppc64el
resapplet 0.0.7+cvs2005.09.30-0ubuntu6 in disco s390x
Comment: Ubuntu-specific package, depends on obsolete libgnome; LP: #1771031
1 package successfully removed.


** Changed in: resapplet (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to libgnome in Ubuntu.
https://bugs.launchpad.net/bugs/1771031

Title:
  Please remove libgnome and friends from Ubuntu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-vfs/+bug/1771031/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1771031] Re: Please remove libgnome and friends from Ubuntu

2019-01-22 Thread Steve Langasek
Removing packages from disco:
winefish 1.3.3-0dl1ubuntu2 in disco
winefish 1.3.3-0dl1ubuntu2 in disco amd64
winefish 1.3.3-0dl1ubuntu2 in disco arm64
winefish 1.3.3-0dl1ubuntu2 in disco armhf
winefish 1.3.3-0dl1ubuntu2 in disco i386
winefish 1.3.3-0dl1ubuntu2 in disco ppc64el
winefish 1.3.3-0dl1ubuntu2 in disco s390x
Comment: Ubuntu-specific package, depends on obsolete libgnome; LP: #1771031
1 package successfully removed.


** Changed in: winefish (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to libgnome in Ubuntu.
https://bugs.launchpad.net/bugs/1771031

Title:
  Please remove libgnome and friends from Ubuntu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-vfs/+bug/1771031/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1779552] Re: [regression] package gnome-shell ... failed to install/upgrade: dependency problems - leave unconfigured. [... depends on python3 however: Package python3 is not configured yet.]

2018-11-29 Thread Steve Langasek
This is a bug caused by a local manual install of hplip-data from
upstream which conflicts with the packaged version of hplip-data in the
archive.

This is a duplicate of another bug report about this issue which I am
not at the moment able to find in the system.

** Changed in: gnome-shell (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1779552

Title:
  [regression] package gnome-shell ... failed to install/upgrade:
  dependency problems - leave unconfigured. [... depends on python3
  however: Package python3 is not configured yet.]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1779552/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1803230] Re: [MIR] teckit & xxhash, new rdeps of texlive-bin

2018-11-21 Thread Steve Langasek
Confirmed that xxhash is a code split rather than new code in main.

Since this is tied up in the massive release-opening Debian sync
transition right now, I'm going ahead and pre-promoting xxhash and
subscribing desktop-packages to it.  Since I am not the MIR team, I am
leaving the bug task open.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to teckit in Ubuntu.
https://bugs.launchpad.net/bugs/1803230

Title:
  [MIR] teckit & xxhash, new rdeps of texlive-bin

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/teckit/+bug/1803230/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1803230] Re: [MIR] teckit & xxhash, new rdeps of texlive-bin

2018-11-21 Thread Steve Langasek
Override component to main
xxhash 0.6.5-2 in disco: universe/misc -> main
libxxhash-dev 0.6.5-2 in disco amd64: universe/libdevel/optional/100% -> main
libxxhash-dev 0.6.5-2 in disco arm64: universe/libdevel/optional/100% -> main
libxxhash-dev 0.6.5-2 in disco armhf: universe/libdevel/optional/100% -> main
libxxhash-dev 0.6.5-2 in disco i386: universe/libdevel/optional/100% -> main
libxxhash-dev 0.6.5-2 in disco ppc64el: universe/libdevel/optional/100% -> main
libxxhash-dev 0.6.5-2 in disco s390x: universe/libdevel/optional/100% -> main
libxxhash0 0.6.5-2 in disco amd64: universe/libs/optional/100% -> main
libxxhash0 0.6.5-2 in disco arm64: universe/libs/optional/100% -> main
libxxhash0 0.6.5-2 in disco armhf: universe/libs/optional/100% -> main
libxxhash0 0.6.5-2 in disco i386: universe/libs/optional/100% -> main
libxxhash0 0.6.5-2 in disco ppc64el: universe/libs/optional/100% -> main
libxxhash0 0.6.5-2 in disco s390x: universe/libs/optional/100% -> main
xxhash 0.6.5-2 in disco amd64: universe/utils/optional/100% -> main
xxhash 0.6.5-2 in disco arm64: universe/utils/optional/100% -> main
xxhash 0.6.5-2 in disco armhf: universe/utils/optional/100% -> main
xxhash 0.6.5-2 in disco i386: universe/utils/optional/100% -> main
xxhash 0.6.5-2 in disco ppc64el: universe/utils/optional/100% -> main
xxhash 0.6.5-2 in disco s390x: universe/utils/optional/100% -> main
Override [y|N]? y
19 publications overridden.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to teckit in Ubuntu.
https://bugs.launchpad.net/bugs/1803230

Title:
  [MIR] teckit & xxhash, new rdeps of texlive-bin

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/teckit/+bug/1803230/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1788220] Re: [snap] Ubuntu 18.04 LTS includes gnome-calculator as a snap

2018-11-16 Thread Steve Langasek
** Changed in: ubuntu-meta (Ubuntu)
   Status: New => Opinion

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-calculator in Ubuntu.
https://bugs.launchpad.net/bugs/1788220

Title:
  [snap] Ubuntu 18.04 LTS includes gnome-calculator as a snap

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-calculator/+bug/1788220/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1798091] Re: thumbnailer cannot create tempfiles (with apparmor denials)

2018-11-02 Thread Steve Langasek
Hello Ralf, or anyone else affected,

Accepted evince into cosmic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/evince/3.30.1-1ubuntu1.2 in a few
hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-cosmic to verification-done-cosmic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-cosmic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: evince (Ubuntu Cosmic)
   Status: New => Fix Committed

** Tags added: verification-needed verification-needed-cosmic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to evince in Ubuntu.
https://bugs.launchpad.net/bugs/1798091

Title:
  thumbnailer cannot create tempfiles (with apparmor denials)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evince/+bug/1798091/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1799053] Re: Update gedit to 3.30.2

2018-11-02 Thread Steve Langasek
Hello Jeremy, or anyone else affected,

Accepted gedit into cosmic-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/gedit/3.30.2-0ubuntu0.18.10.1 in a
few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-cosmic to verification-done-cosmic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-cosmic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Changed in: gedit (Ubuntu Cosmic)
   Status: New => Fix Committed

** Tags added: verification-needed verification-needed-cosmic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gedit in Ubuntu.
https://bugs.launchpad.net/bugs/1799053

Title:
  Update gedit to 3.30.2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gedit/+bug/1799053/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1796499] Re: Keyboard calculator button not working

2018-11-02 Thread Steve Langasek
Seb, this is missing an SRU template, including a discussion of
regression-potential.  I see that your patch is replacing the reference
to gnome-calculator.desktop with gnome-calculator_gnome-
calculator.desktop rather than supporting both, so if the user still has
the deb installed, won't this regress for those users?  (Presumably
users of a flavor other than Ubuntu Desktop)

** Changed in: gnome-settings-daemon (Ubuntu)
   Status: In Progress => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-settings-daemon in Ubuntu.
https://bugs.launchpad.net/bugs/1796499

Title:
  Keyboard calculator button not working

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/1796499/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1800542] [NEW] OpenVPN connection not stable after upgrade to 18.10 (udp, ipv6)

2018-10-29 Thread Steve Langasek
Public bug reported:

After upgrade to Ubuntu 18.10, my connection to my employer's VPN server
has become unstable.

The server provides both ipv4 and ipv6 endpoints.  Since I have global
ipv6 at home, my client defaults to connecting over ipv6.

The connection consistently drops after only a few minutes of being
connected.

If I force the connection to use ipv4 (by hard-coding the host
resolution in /etc/hosts), the connection is stable.

If I use ipv6 and force proto-tcp=yes, the connection is stable.

If I use the default ipv6 and udp, the connection is not stable.

Using tcp for VPNs is suboptimal.  Hard-coding addresses in /etc/hosts
is suboptimal.

This may be a bug in openvpn rather than in network-manager-openvpn, but
I'm starting here.

It's possible there are pathMTU issues involved, but I reproduced this
same problem when I was on a different network from my home network
(though I did not confirm, when I had access to this other network, that
it was ipv6-enabled).

I will work on getting more details about both sides of the network to
try to debug this.

** Affects: network-manager-openvpn (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to network-manager-openvpn in Ubuntu.
https://bugs.launchpad.net/bugs/1800542

Title:
  OpenVPN connection not stable after upgrade to 18.10 (udp, ipv6)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager-openvpn/+bug/1800542/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1706939] Re: A live session can't be shut down due to "[ *** ] (2 of 2) A start job is running for ... (22s / no limit)"

2018-10-18 Thread Steve Langasek
The issue described in this bug, failure to shut down due to a 'Wait for
Network' job, is believed to be resolved in the Ubuntu 18.04 final
release and in later releases.  I am therefore closing this bug.

If someone can reproduce this failure with a currently-supported release
image, please reopen the bug report.

If you are having difficulty shutting down after a live session with a
different symptom, please open a separate bug report for that bug.

** Changed in: systemd (Ubuntu)
   Status: Confirmed => Invalid

** Changed in: casper (Ubuntu)
   Status: New => Invalid

** Changed in: casper (Ubuntu Bionic)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1706939

Title:
  A live session can't be shut down due to "[ ***  ] (2 of 2) A start
  job is running for ... (22s / no limit)"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-release-notes/+bug/1706939/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1797543] Re: Unable to update software - Button Restart & Update, restarts no updates applied

2018-10-15 Thread Steve Langasek
Hello Tino, or anyone else affected,

Accepted gnome-software into cosmic-proposed. The package will build now
and be available at https://launchpad.net/ubuntu/+source/gnome-
software/3.30.2-0ubuntu4 in a few hours, and then in the -proposed
repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-cosmic to verification-done-cosmic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-cosmic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance for helping!

N.B. The updated package will be released to -updates after the bug(s)
fixed by this package have been verified and the package has been in
-proposed for a minimum of 7 days.

** Tags added: verification-needed verification-needed-cosmic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-software in Ubuntu.
https://bugs.launchpad.net/bugs/1797543

Title:
  Unable to update software  - Button Restart & Update, restarts no
  updates applied

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1797543/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1794544] Re: [SRU] 2.56.3

2018-10-12 Thread Steve Langasek
What testing will be done of the resulting binary packages to guard
against misbuilds not caught by the upstream testing?  Please call this
out explicitly in the bug description. (If the autopkgtests are
sufficient, that's fine, please just call it out.)

** Changed in: glib2.0 (Ubuntu Bionic)
   Status: In Progress => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1794544

Title:
  [SRU] 2.56.3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/1794544/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1794544] Re: [SRU] 2.56.3

2018-10-12 Thread Steve Langasek
** Description changed:

  [ Description ]
  
  The third stable release in the 2.56 series.
  
  [ QA ]
  
  Upstream release, so QA already performed by maintainers
  
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME
  
- [ Regresison potential ]
+ [ Regression potential ]
  
  Various fixes in multiple places so multiple apps could be affected.
  
-   * New upstream release (LP: #xxx)
- + The documentation for G_GNUC_MALLOC has changed to be more restrictive
-   to avoid miscompilations; you should check whether any uses of it in
-   your code are appropriate
- + Fix cancellation of g_subprocess_communicate_async() calls
- + Bug fixes:
-   + /network-monitor/create-in-thread fails in (LXC) containers on 
glib-2-56
-   + GBookmarkFile: nullptr access in current_element
-   + GBookmarkFile: heap-buffer-overflow in g_utf8_get_char
-   + Backport g_subprocess_communicate() cancellation fixes from !266 to 
- glib-2-56 (LP: #1789476)
-   + Many uses of G_GNUC_MALLOC are incorrect
-   + Test for BROKEN_IP_MREQ_SOURCE_STRUCT is broken on Windows / Mingw
-   + Fix persistent CI failure on glib-2-56
+   * New upstream release (LP: #xxx)
+ + The documentation for G_GNUC_MALLOC has changed to be more restrictive
+   to avoid miscompilations; you should check whether any uses of it in
+   your code are appropriate
+ + Fix cancellation of g_subprocess_communicate_async() calls
+ + Bug fixes:
+   + /network-monitor/create-in-thread fails in (LXC) containers on 
glib-2-56
+   + GBookmarkFile: nullptr access in current_element
+   + GBookmarkFile: heap-buffer-overflow in g_utf8_get_char
+   + Backport g_subprocess_communicate() cancellation fixes from !266 to
+ glib-2-56 (LP: #1789476)
+   + Many uses of G_GNUC_MALLOC are incorrect
+   + Test for BROKEN_IP_MREQ_SOURCE_STRUCT is broken on Windows / Mingw
+   + Fix persistent CI failure on glib-2-56

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1794544

Title:
  [SRU] 2.56.3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/1794544/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1796434] Re: USB storage device does not finish ejecting

2018-10-05 Thread Steve Langasek
That would be a failed verification but not a regression.  Removing the
tag.

** Tags removed: regression-update

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gvfs in Ubuntu.
https://bugs.launchpad.net/bugs/1796434

Title:
  USB storage device does not finish ejecting

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/1796434/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1778011] Re: SRU: PRIME Power Saving mode draws too much power

2018-09-06 Thread Steve Langasek
Hello Alberto, or anyone else affected,

Accepted nvidia-settings into bionic-proposed. The package will build
now and be available at https://launchpad.net/ubuntu/+source/nvidia-
settings/390.77-0ubuntu0.18.04.1 in a few hours, and then in the
-proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance!

** Changed in: nvidia-settings (Ubuntu Bionic)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1778011

Title:
  SRU: PRIME Power Saving mode draws too much power

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1778011/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1778011] Re: SRU: PRIME Power Saving mode draws too much power

2018-09-06 Thread Steve Langasek
Hello Alberto, or anyone else affected,

Accepted nvidia-prime into bionic-proposed. The package will build now
and be available at https://launchpad.net/ubuntu/+source/nvidia-
prime/0.8.8.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance!

** Changed in: nvidia-prime (Ubuntu Bionic)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1778011

Title:
  SRU: PRIME Power Saving mode draws too much power

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1778011/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1778011] Re: SRU: PRIME Power Saving mode draws too much power

2018-09-05 Thread Steve Langasek
Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-390 into bionic-proposed. The package
will build now and be available at https://launchpad.net/ubuntu/+source
/nvidia-graphics-drivers-390/390.77-0ubuntu0.18.04.1 in a few hours, and
then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance!

** Changed in: nvidia-graphics-drivers-390 (Ubuntu Bionic)
   Status: Incomplete => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1778011

Title:
  SRU: PRIME Power Saving mode draws too much power

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1778011/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1778011] Re: SRU: PRIME Power Saving mode draws too much power

2018-08-15 Thread Steve Langasek
Bug description says:

> [Regression Potential]
> Low, as hybrid graphics support does not work correctly, and the changes only 
> affect
> this use case.

Dropping the nvidia-fallback service means that any time the nvidia
module has failed to be loaded, including if the nvidia module has
failed to build for any reason, the nouveau module will not be loaded in
its place.  This is a behavior change that potentially affects users
other than those with hybrid graphics.  Is that a concern?  How long has
the existing behavior been there, and what are the chances that users
may be inadvertently relying on the current fallback behavior without
knowing it?

** Changed in: nvidia-graphics-drivers-390 (Ubuntu Bionic)
   Status: In Progress => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1778011

Title:
  SRU: PRIME Power Saving mode draws too much power

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1778011/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1778011] Proposed package upload rejected

2018-08-15 Thread Steve Langasek
An upload of ubuntu-drivers-common to bionic-proposed has been rejected
from the upload queue for the following reason: "contains change to
systemd service with no bug reference;
https://bugs.launchpad.net/ubuntu/+source/nvidia-
prime/+bug/1778011/comments/10".

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1778011

Title:
  SRU: PRIME Power Saving mode draws too much power

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1778011/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1778011] Re: SRU: PRIME Power Saving mode draws too much power

2018-08-15 Thread Steve Langasek
Reviewing ubuntu-drivers-common in the queue, I notice:

+if (!match) {
+free(match);

Surely no good can come of this call to free() and it should be omitted?

The change to start before oem-config.service seems correct but has no
associated bug linked.  This looks to me like it should still go through
the SRU verification process because it's unrelated to the other
changes.  (Also, it's not 100% obvious that the change is correct: for
example, why does oem-config not provide display-manager.service?  Why
are there no interdependencies between oem-config's systemd units and
display-manager.service?)

The source package as uploaded appears to have a lot of cruft in various
__pycache__ directories.  This ought to be cleaned up.

I'm going to go ahead and reject based on the missing bug reference for
the oem-config.service change.  If you think this is wrong, feel free to
ping me on IRC to discuss.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gdm3 in Ubuntu.
https://bugs.launchpad.net/bugs/1778011

Title:
  SRU: PRIME Power Saving mode draws too much power

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1778011/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1784514] Re: Update evolution-data-server to 3.28.5

2018-08-10 Thread Steve Langasek
Hello Jeremy, or anyone else affected,

Accepted evolution-data-server into bionic-proposed. The package will
build now and be available at https://launchpad.net/ubuntu/+source
/evolution-data-server/3.28.5-0ubuntu0.18.04.1 in a few hours, and then
in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.  Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-bionic to verification-done-bionic. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-bionic. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance!

** Changed in: evolution-data-server (Ubuntu Bionic)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to evolution-data-server in Ubuntu.
https://bugs.launchpad.net/bugs/1784514

Title:
  Update evolution-data-server to 3.28.5

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/1784514/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1766890] Re: package gnome-menus 3.13.3-6ubuntu3.1 failed to install/upgrade: triggers looping, abandoned

2018-08-07 Thread Steve Langasek
** Changed in: ubuntu-release-upgrader (Ubuntu)
   Status: Triaged => In Progress

** Changed in: ubuntu-release-upgrader (Ubuntu Bionic)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-menus in Ubuntu.
https://bugs.launchpad.net/bugs/1766890

Title:
  package gnome-menus 3.13.3-6ubuntu3.1 failed to install/upgrade:
  triggers looping, abandoned

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1766890/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1784065] Re: upgrade from 14.04 to 16.04 fails due to `interest-await' in trigger

2018-07-30 Thread Steve Langasek
Hello Yan, or anyone else affected,

Accepted glib2.0 into xenial-proposed. The package will build now and be
available at
https://launchpad.net/ubuntu/+source/glib2.0/2.48.2-0ubuntu4 in a few
hours, and then in the -proposed repository.

Please help us by testing this new package.  See
https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how
to enable and use -proposed.Your feedback will aid us getting this
update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug,
mentioning the version of the package you tested and change the tag from
verification-needed-xenial to verification-done-xenial. If it does not
fix the bug for you, please add a comment stating that, and change the
tag to verification-failed-xenial. In either case, without details of
your testing we will not be able to proceed.

Further information regarding the verification process can be found at
https://wiki.ubuntu.com/QATeam/PerformingSRUVerification .  Thank you in
advance!

** Description changed:

+ [Test case]
+ Verify that a release-upgrade of an Ubuntu desktop works from trusty to 
xenial with -proposed enabled.
+ 
  Package failed to install.
  
  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: libglib2.0-0 2.48.2-0ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-131.157-generic 4.4.134
  Uname: Linux 4.4.0-131-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.18
  Architecture: amd64
  Date: Fri Jul 27 18:31:08 2018
  DuplicateSignature:
-  package:libglib2.0-0:2.48.2-0ubuntu3
-  Preparing to unpack .../libglib2.0-0_2.48.2-0ubuntu3_amd64.deb ...
-  dpkg: error processing archive 
/var/cache/apt/archives/libglib2.0-0_2.48.2-0ubuntu3_amd64.deb (--unpack):
-   triggers ci file contains unknown directive `interest-await'
+  package:libglib2.0-0:2.48.2-0ubuntu3
+  Preparing to unpack .../libglib2.0-0_2.48.2-0ubuntu3_amd64.deb ...
+  dpkg: error processing archive 
/var/cache/apt/archives/libglib2.0-0_2.48.2-0ubuntu3_amd64.deb (--unpack):
+   triggers ci file contains unknown directive `interest-await'
  ErrorMessage: triggers ci file contains unknown directive `interest-await'
  InstallationDate: Installed on 2015-03-31 (1213 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
  RelatedPackageVersions:
-  dpkg 1.18.4ubuntu1.4
-  apt  1.2.27
+  dpkg 1.18.4ubuntu1.4
+  apt  1.2.27
  SourcePackage: glib2.0
  Title: package libglib2.0-0 2.48.2-0ubuntu3 failed to install/upgrade: 
triggers ci file contains unknown directive `interest-await'
  UpgradeStatus: Upgraded to xenial on 2018-07-27 (0 days ago)

** Changed in: glib2.0 (Ubuntu Xenial)
   Status: In Progress => Fix Committed

** Tags added: verification-needed verification-needed-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1784065

Title:
  upgrade from 14.04 to 16.04 fails due to `interest-await' in trigger

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/1784065/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1784065] Re: package libglib2.0-0 2.48.2-0ubuntu3 failed to install/upgrade: triggers ci file contains unknown directive `interest-await'

2018-07-27 Thread Steve Langasek
Unreproducible here in a xenial chroot w/ same versions of dpkg and
libglib2.0-0.  The format of the triggers file looks correct.   Yan, is
this problem reproducible if you run 'sudo dpkg --configure -a && sudo
apt -f install && sudo apt install libglib2.0-0' in a terminal?
Otherwise, my guess is that this a rogue bitflip error rather than a bug
in libglib2.0-0.

See also
https://wiki.ubuntu.com/DebuggingInstallationIssues#triggers_ci_file_contains_unknown_directive_syntax
which points to LP: #500042.

** Changed in: glib2.0 (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to glib2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1784065

Title:
  package libglib2.0-0 2.48.2-0ubuntu3 failed to install/upgrade:
  triggers ci file contains unknown directive `interest-await'

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/1784065/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1781652] [NEW] should be possible to specify static routes on a dhcp-configured interface

2018-07-13 Thread Steve Langasek
Public bug reported:

>From , a user wants to add a static route to a network
interface where the gateway is known, but the interface's local address
is configured via dhcp.

This doesn't work with direct netplan yaml, because networkd will try to
apply the static routes before the interface has been configured via
dhcp, failing because there is not yet a route to the gateway on that
interface.

Demonstrating in a lxd container locally, which has 10.44.49.0/24 as its
network:

$ cat /etc/netplan/50-cloud-init.yaml
# This file is generated from information provided by
# the datasource.  Changes to it will not persist across an instance.
# To disable cloud-init's network configuration capabilities, write a file
# /etc/cloud/cloud.cfg.d/99-disable-network-config.cfg with the following:
# network: {config: disabled}
network:
version: 2
ethernets:
eth0:
dhcp4: true
routes:
   - to: 10.44.48.0/24
 via: 10.44.49.2
 metric: 10
$  systemctl status systemd-networkd --no-pager -l
● systemd-networkd.service - Network Service
   Loaded: loaded (/lib/systemd/system/systemd-networkd.service; enabled; 
vendor preset: enabled)
   Active: active (running) since Fri 2018-07-13 19:21:29 UTC; 8min ago
 Docs: man:systemd-networkd.service(8)
 Main PID: 165 (systemd-network)
   Status: "Processing requests..."
Tasks: 1 (limit: 4915)
   CGroup: /system.slice/systemd-networkd.service
   └─165 /lib/systemd/systemd-networkd

Jul 13 19:21:29 stable-dane systemd[1]: Starting Network Service...
Jul 13 19:21:29 stable-dane systemd-networkd[165]: Enumeration completed
Jul 13 19:21:29 stable-dane systemd[1]: Started Network Service.
Jul 13 19:21:29 stable-dane systemd-networkd[165]: eth0: Could not set route: 
Network is unreachable
Jul 13 19:21:29 stable-dane systemd-networkd[165]: eth0: DHCPv4 address 
10.44.49.32/24 via 10.44.49.1
Jul 13 19:21:29 stable-dane systemd-networkd[165]: Not connected to system bus, 
not setting hostname.
Jul 13 19:21:29 stable-dane systemd-networkd[165]: eth0: Gained IPv6LL
Jul 13 19:21:29 stable-dane systemd-networkd[165]: eth0: Configured
Jul 13 19:21:55 stable-dane systemd-networkd[165]: Could not set hostname: 
Method call timed out
$ ip route 
default via 10.44.49.1 dev eth0 proto dhcp src 10.44.49.32 metric 100 
10.44.49.0/24 dev eth0 proto kernel scope link src 10.44.49.32 
10.44.49.1 dev eth0 proto dhcp scope link src 10.44.49.32 metric 100 
$

netplan and networkd should DTRT.

** Affects: netplan
 Importance: Low
 Status: New

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New

** Changed in: netplan
   Importance: Undecided => Low

** Also affects: systemd (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1781652

Title:
  should be possible to specify static routes on a dhcp-configured
  interface

To manage notifications about this bug go to:
https://bugs.launchpad.net/netplan/+bug/1781652/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1714989] Update Released

2018-07-09 Thread Steve Langasek
The verification of the Stable Release Update for gnome-shell has
completed successfully and the package has now been released to
-updates.  Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gjs in Ubuntu.
https://bugs.launchpad.net/bugs/1714989

Title:
  gnome-shell crashed with SIGSEGV in g_type_check_instance_cast() from
  st_label_set_text() from ffi_call_unix64()

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell/+bug/1714989/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1691675] Update Released

2018-07-09 Thread Steve Langasek
The verification of the Stable Release Update for gnome-shell has
completed successfully and the package has now been released to
-updates.  Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1691675

Title:
  Gnome Shell desktop zoom judders and performs badly

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell/+bug/1691675/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1768786] Update Released

2018-07-09 Thread Steve Langasek
The verification of the Stable Release Update for gnome-shell has
completed successfully and the package has now been released to
-updates.  Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to gnome-shell in Ubuntu.
https://bugs.launchpad.net/bugs/1768786

Title:
  Desktop is displayed when resuming from suspend

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/budgie-desktop/+bug/1768786/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

[Bug 1778703] Update Released

2018-07-09 Thread Steve Langasek
The verification of the Stable Release Update for mutter has completed
successfully and the package has now been released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Desktop Bugs, which is subscribed to mutter in Ubuntu.
https://bugs.launchpad.net/bugs/1778703

Title:
  Upgrade to 3.28.2 and SRU it

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1778703/+subscriptions

-- 
desktop-bugs mailing list
desktop-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/desktop-bugs

  1   2   3   4   5   6   7   8   9   10   >